Update mcp servers/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/mcp-servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server_enabled_tools": [
"<string>"
],
"query_params": {},
"headers": {},
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"auth_type": "<string>",
"auth_value": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"active": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
server_enabled_tools: ['<string>'],
query_params: {},
headers: {},
name: '<string>',
url: '<string>',
timeout_ms: '<string>',
auth_type: '<string>',
auth_value: '<string>',
auth_header_name: '<string>',
auth_param_name: '<string>',
active: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/mcp-servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/mcp-servers/{id}"
payload = {
"server_enabled_tools": ["<string>"],
"query_params": {},
"headers": {},
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"auth_type": "<string>",
"auth_value": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"active": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"headers": "<string>",
"query_params": "<string>",
"auth_type": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"auth_value_stored": "<string>",
"server_enabled_tools": "<string>",
"tools_discovered_at": "<string>",
"active": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}McpServers
Update mcp servers/item
From api/v1/tenant_mcp_servers#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PATCH
/
api
/
v1
/
mcp-servers
/
{id}
Update mcp servers/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/mcp-servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server_enabled_tools": [
"<string>"
],
"query_params": {},
"headers": {},
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"auth_type": "<string>",
"auth_value": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"active": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
server_enabled_tools: ['<string>'],
query_params: {},
headers: {},
name: '<string>',
url: '<string>',
timeout_ms: '<string>',
auth_type: '<string>',
auth_value: '<string>',
auth_header_name: '<string>',
auth_param_name: '<string>',
active: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/mcp-servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/mcp-servers/{id}"
payload = {
"server_enabled_tools": ["<string>"],
"query_params": {},
"headers": {},
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"auth_type": "<string>",
"auth_value": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"active": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"timeout_ms": "<string>",
"headers": "<string>",
"query_params": "<string>",
"auth_type": "<string>",
"auth_header_name": "<string>",
"auth_param_name": "<string>",
"auth_value_stored": "<string>",
"server_enabled_tools": "<string>",
"tools_discovered_at": "<string>",
"active": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Was this page helpful?